Expertise and Interests
Read and manage the areas of expertise and interests recorded on user profiles.
Note: All endpoints require authentication and an
X-Tenantheader. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.
Endpoints on this page
GET /api/expertise/{skillId}/person
Get people with a skill
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
skillId |
path | integer (int32) | Yes | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"Id": 0,
"AssetId": 0,
"FullName": "string",
"JobTitle": "string"
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
GET /api/people/{id}/interests
Get interests for a specific person
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 |
Response body
[
{
"SkillId": 0,
"Title": "string",
"AssetId": 0,
"AssetDescription": "string",
"Category": "string"
}
]| Field | Type |
|---|---|
SkillId | integer (int32) |
Title | string |
AssetId | integer (int32) |
AssetDescription | string |
Category | string |
GET /api/skills/interests
List interests.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
activeFlag |
query | boolean | No | |
searchTerm |
query | string | No | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No | |
order |
query | string | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"SkillId": 0,
"Title": "string",
"IsActive": true,
"Category": "string"
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
GET /api/people/{personId}/expertise
Get expertise for a person
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
personId |
path | integer (int32) | Yes | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 | |
| 403 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"Id": 0,
"Skill": {
"Id": 0,
"Title": "string",
"Category": {
"Id": 0,
"Name": "string"
},
"Asset": {
"Id": 0,
"Description": "string"
}
},
"EndorsementCount": 0,
"IsEndorsedByMe": true
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
GET /api/skills/expertise
List expertise.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
activeFlag |
query | boolean | No | |
searchTerm |
query | string | No | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No | |
order |
query | string | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"SkillId": 0,
"Title": "string",
"IsActive": true,
"Category": "string"
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
POST /api/people/{personId}/expertise/{skillId}
Add a skill to a person
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
personId |
path | integer (int32) | Yes | |
skillId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 400 |
Response body
{
"StatusCode": "Continue",
"Item": {
"Id": 0,
"Skill": {
"Id": 0,
"Title": "string",
"Category": {
"Id": 0,
"Name": "string"
},
"Asset": {
"Id": 0,
"Description": "string"
}
},
"EndorsementCount": 0,
"IsEndorsedByMe": true
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Item | object |
ErrorMessages | array of string |
DELETE /api/people/{personId}/expertise/{expertiseId}
Delete an expertise.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
personId |
path | integer (int32) | Yes | |
expertiseId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 |
Section: REST API